{% extends 'base.html' %}
{% load static %}
{% load humanize %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Subasta #{{subasta.Id}}</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'index' %}" class="btn btn-success">Volver</a>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-6">
                            <span class="font-weight-bold">Fecha de inicio: </span> {{subasta.FechaInicio}}
                            <br>
                            <span class="font-weight-bold">Fecha de termino: </span> {{subasta.FechaTermino}}
                            <br>
                            <span class="font-weight-bold">Dirección de entrega</span>
                            <br>
                            {{pedido.Cliente.Nombre}} {{pedido.Cliente.Apellido}}
                            <br>
                            {{pedido.Direccion.Nombre}}
                            <br>
                            {{pedido.Direccion.Pais}},
                            {{pedido.Direccion.Region}}
                            <br>
                            {{pedido.Direccion.Detalle}}
                        </div>
                        <div class="col-6">
                            <span class="font-weight-bold">Estado: </span>{{subasta.Estado.Nombre}}
                            <br>
                            <span class="font-weight-bold">Tu oferta: </span>
                            {% if your_bid.Precio == 0 %}
                            <span class="red">Aun no has ofertado</span>
                            {% else %}
                            <span class="green">US$ {{your_bid.Precio|intcomma}}</span>
                            {% endif %}
                            <br>
                            {% if subasta.Estado.Id == 22 %}
                            <div style="height:10px;"></div>
                            <form action="{% url 'transportista_ofertar' id_subasta=subasta.Id %}" class="form-inline"
                                method="POST">
                                {% csrf_token %}
                                <input type="number" name="precio" id="precio" class="form-control"
                                    placeholder="Oferta en US$">
                                <div style="width:15px;"></div>
                                <input type="submit" value="Enviar oferta" class="btn btn-success">
                            </form>
                            {% elif subasta.Estado.Id == 24 %}
                            <span class="font-weight-bold">Ganador: </span>
                            {% if request.session.user.id == subasta.Ganador.Id %}
                            <span class="green font-weight-bold">Ganaste esta subasta</span>
                            {% else %}
                            <span class="red font-weight-bold">No ganaste esta subasta</span>
                            {% endif %}
                            {% endif %}
                            {% if request.session.user.id == subasta.Ganador.Id and pedido.Estado.Id >= 6 %}
                            <br>
                            <span class="font-weight-bold">Estado pedido:</span>
                            {{pedido.Estado.Nombre}}
                            {% endif %}

                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-12">
            <br>
            <h3>Detalle pedido</h3>
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered table-striped">
                        <tr>
                            <th>Producto</th>
                            <th>Cantidad (Toneladas)</th>
                            <th>Calidad</th>
                            <th>Productor</th>
                            {% if request.session.user.id == subasta.Ganador.Id and pedido.Estado.Id == 6 %}
                            <th>
                                <a id="estado" href="#" data-toggle="tooltip" data-placement="top"
                                    title="Utiliza el switch para marcar los productos que has retirado de los productores respectivos."><i
                                        class="fas fa-question-circle"></i>
                                    Retirado</a>
                            </th>
                            {% endif %}

                        </tr>
                        {% for d in detalle %}
                        <tr>
                            <td>{{d.Producto.Nombre}}</td>
                            <td>{{d.Toneladas}}</td>
                            <td>{{d.Calidad.Nombre}}</td>
                            <td>
                                {% for i in d.Ofertas %}
                                {% if i.Escogida %}
                                {{i.Productor.Nombre}} {{i.Productor.Apellido}}
                                {% endif %}
                                {% endfor %}
                            </td>
                            {% if request.session.user.id == subasta.Ganador.Id and pedido.Estado.Id == 6 %}
                            <td>
                                <form action="{% url 'toggle_retirar' %}" method="POST">
                                    {% csrf_token %}
                                    <input type="hidden" name="subasta" value="{{subasta.Id}}">
                                    <input type="hidden" name="pedido" value="{{pedido.Id}}">
                                    <input type="hidden" name="producto" value="{{d.Producto.Id}}">
                                    {% for i in d.Ofertas %}
                                    {% if i.Escogida %}
                                    <input type="hidden" name="productor" value="{{i.Productor.Id}}">
                                    {% endif %} {% endfor %}

                                    <input type="hidden" name="calidad" value="{{d.Calidad.Id}}">
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox" class="custom-control-input"
                                            id="customSwitch{{d.Producto.Id}}" {% for i in d.Ofertas %}
                                            {% if i.Escogida %} {% if i.Retirado %}checked{% endif %} {% endif %}
                                            {% endfor %} onChange="this.form.submit()">
                                        <label class="custom-control-label bg-success"
                                            for="customSwitch{{d.Producto.Id}}"></label>
                                    </div>
                                </form>

                            </td>
                            {% endif %}

                        </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>
        </div>
        <div class="col-12">
            {% if subasta.RetiroCompleto %}
            {% if pedido.Estado.Id == 6 %}
            <br>
            <form action="{% url 'confirmar_retiro' %}" method="post">
                {% csrf_token %}
                <input type="hidden" name="subasta" value="{{subasta.Id}}">
                <input type="hidden" name="pedido" value="{{pedido.Id}}">
                <input type="submit" value="Confirmar retiro" class="btn btn-success">
            </form>
            {% elif pedido.Estado.Id == 7 %}
            <br>
            <form action="{% url 'confirmar_entrega' %}" method="post">
                {% csrf_token %}
                <input type="hidden" name="subasta" value="{{subasta.Id}}">
                <input type="hidden" name="pedido" value="{{pedido.Id}}">
                <input type="submit" value="Confirmar entrega" class="btn btn-success">
            </form>
            {% endif %}
            {% endif %}
        </div>
    </div>


</div>
{% endblock %}
{% block scripts %}
<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
{% endblock %}